dbXML API

## com.dbxml.db.client.tools.command
Class CommandBase

    java.lang.Object
      com.dbxml.db.client.tools.command.CommandBase

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  AccessControlList, Collection, Connect, ContentBase, ContentExport, ContentImport, CreateBase, Disconnect, Exit, ListBase, PermissionsBase, Role, Set, Shutdown, SingletonBase, User, Version

public abstract class CommandBase
extends java.lang.Object
implements Command

CommandBase is a simple base class implementation for the Commands in the command package.

Constructor Summary
`CommandBase()`

Method Summary
`CommandLine` `getCommandLine()` getCommandLine returns the CommandLine reference for this CommandLine instance.
`void` `setCommandLine(CommandLine cl)` setCommandLine sets the CommandLine reference for this CommandLine instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.db.client.tools.Command
`process`

Constructor Detail

### CommandBase

    public CommandBase()

Method Detail

### setCommandLine

    public void setCommandLine(CommandLine cl)

  Description copied from interface: `Command`
  setCommandLine sets the CommandLine reference for this CommandLine instance.

  Specified by:
    `setCommandLine` in interface `Command`
  Parameters:
    `cl` - The CommandLine

### getCommandLine

    public CommandLine getCommandLine()

  Description copied from interface: `Command`
  getCommandLine returns the CommandLine reference for this CommandLine instance.

  Specified by:
    `getCommandLine` in interface `Command`
  Returns:
    The CommandLine

dbXML API

Copyright (c) 2004 The dbXML Group